/*
 * $Id: device-password-input.cs 87 2007-03-28 13:20:10Z lloydd $
 */
 
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Reflection;
using Mono.Unix;
using Mono.GetOptions;
using NDesk.DBus;
using Gtk;
using Glade;
using GLib;

namespace Manager
{
	public class DevicePasswordInputDlg
   {
      [Widget]
      Dialog DevicePasswordInput;
      
      [Widget]
      Entry pasw;

      [Widget]
      Label model_label;

      [Widget]
      Label name_label;
      
      string password;

      public DevicePasswordInputDlg (string device_name, string device_model)
      {
         Glade.XML gxml = new Glade.XML (null, "device-password-input.glade", "DevicePasswordInput", Defines.Package);
         gxml.Autoconnect (this);

         DevicePasswordInput.Icon = new Gdk.Pixbuf (null, "tray-icon.png");
         model_label.Text = device_model;
         name_label.Text = device_name;
      }

      public bool Run ()
      {
         bool result = DevicePasswordInput.Run () == 0;
         password = pasw.Text;
         DevicePasswordInput.Destroy ();
         return result;
      }
      
      public void Cancel ()
      {
         DevicePasswordInput.Respond (ResponseType.Cancel);
      }
      
      public string Password {
         get {
            return password;
         }
      }
	}
}
